/* ------------------------------- Global --------------------------------------- */

 body {
        font-family: Arial, sans-serif;
        margin: 0;
        padding: 0;
        background-color: #30D5C8;
        color: #333;
	min-width: 200px;
	min-width: 100%;
	max-width: 100%;
}

header {
        color: white;
        padding: 10px;
	text-align: center;
	width: 100%;
}

main {
}

h1 {
        margin-top: 20px;

}

/* ------------------------------- SuchFilters --------------------------------------- */

.search-bar {
        display: flex;
        padding: 9px;
        gap: 10px;
        flex-direction: column;
        align-items: center;
	width: 99%;
}

.search-field {
	width: 90%;
}

.search-field_option {
	width: 90%;
	display: grid;
        grid-template-columns: 50% 50%;
}

.search-option {
   	display: flex;
    	align-items: center;
    	justify-content: left; 
    	gap: 10px;
}

.search-input input {
        font-size: 16px;
        border: 1px solid #ccc;
        border-radius: 5px;
	width: 100%;
  	margin-top:5px;
	margin-bottom:5px;
	box-sizing: border-box;
}

.search-bar button {
        font-size: 16px;
        padding: 8px 0px 8px 0px;
        border: 1px solid #ccc;
        border-radius: 5px;
	width: 90%;
	background-color: #9066F0;
        color: white;
}


dialog {
  border: 1px solid #ccc;
  border-radius: 8px;
  padding: 20px;
  width: 80%;
  max-width: 300px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}
/* ------------------------------- Übersichtsseite --------------------------------------- */

.results {
	display: flex;
        padding: 9px;
	gap: 10px;
        flex-direction: column;
        align-items: center;
	width: 100%;
}

.result-item {
        background-color: white;
        margin-bottom: 10px;
        padding: 10px;
        border-radius: 5px;
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
	display: flex; 
	position: relative;
	height:100%;
}
 
.result-item h3 {
        margin: 0 0 5px;
}

.result-item p {
        margin: 5px;
        font-size: 14px;
        color: #666;
}

.OverviewPic {
	max-width:25%;
	min-width:200px;
	height: auto;
	margin-right: 20px;
}

.OverviewAdress {
	padding: 5px 0px 5px 0px;
		
}
.OverviewInfoLink button {
	font-size: 16px;
        padding: 8px 0px 8px 0px;
        border: 1px solid #ccc;
        border-radius: 5px;
	width: 100%;
	max-width:200px;
	background-color: #9066F0;
        color: white;
}

.OverviewInfoLink {
	position: absolute; bottom: 5px;
	width:40%;
}

#object-list {
	width: 90%;
}

#shopresults {
 	background-color: #30D5C8;
	border: 1px solid #30D5C8;
	color: black;
}

/* ------------------------------- Detailsseite --------------------------------------- */

.container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.image-big {
  width: 80%;
  height: auto;
  margin-bottom: 20px;
}

.image-big img {
  width: 100%;
  height: auto;
}

.gallery {
  display: flex;
  align-items: center;
}

.gallery-images {
  display: flex;
  overflow-x: auto;
  scroll-behavior: smooth;
  width: 80%;
}

.thumbnail {
  width: 20%;
  height: auto;
  margin-right: 10px;
  cursor: pointer;
}

.arrow {
  background-color: #ccc;
  border: none;
  padding: 10px;
  margin-left: 5px;
  cursor: pointer;
}

#prevArrow {
  width:10%;	
}

#nextArrow {
  width:10%;	
}

.kalender {
  width: 100%;
  border-collapse: collapse;
  text-align: center;
  margin-top: 10px;
}

.kalender th,
.kalender td {
  border: 1px solid #ccc;
  padding: 10px;
}

.heute {
  background-color: #ffedcc;
  font-weight: bold;
}

.calender_selection {
  background-color: blue;
  color: white;	
}

.calender_month {
  color: grey;
  font-size: 0.7em;
}

.details_text {
  width: 90%;
  text-align: center;
}
